Package wx :: Class MouseCaptureLostEvent

[frames | no frames]

## Type MouseCaptureLostEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
                    MouseCaptureLostEvent

A mouse capture lost event is sent to a window that obtained mouse capture, which was subsequently loss due to "external" event, for example when a dialog box is shown or if another application captures the mouse.

If this happens, this event is sent to all windows that are on the capture stack (i.e. a window that called `wx.Window.CaptureMouse`, but didn't call `wx.Window.ReleaseMouse` yet). The event is not sent if the capture changes because of a call to CaptureMouse or ReleaseMouse.

This event is currently emitted under Windows only.

Method Summary
MouseCaptureLostEvent | ``__init__`(self, winid)` A mouse capture lost event is sent to a window that obtained mouse capture, which was subsequently loss due to "external" event, for example when a dialog box is shown or if another application captures the mouse.

Property Summary
| `thisown`: The membership flag

Method Details

### __init__(self, winid=0)
(Constructor)

A mouse capture lost event is sent to a window that obtained mouse capture, which was subsequently loss due to "external" event, for example when a dialog box is shown or if another application captures the mouse.

If this happens, this event is sent to all windows that are on the capture stack (i.e. a window that called `wx.Window.CaptureMouse`, but didn't call `wx.Window.ReleaseMouse` yet). The event is not sent if the capture changes because of a call to CaptureMouse or ReleaseMouse.

This event is currently emitted under Windows only.

  Parameters:
    `winid`
    (type=int)

  Returns:
    MouseCaptureLostEvent
  Overrides:
    `wx.Event.__init__`

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:09:55 2007 | http://epydoc.sf.net